$(document).ready(function() {
	// flatpickr date picker
	flatpickr("#date-from, #date-to", {});
	//check/uncheck script
	$(document).on('click', '#checker', function(){
		$('.checkboxes').prop('checked', $(this).is(':checked'));
	});

	// delete record
	$(document).on('click', '.delete-object', function(){

		// php file used for deletion
		var delete_file = $(this).attr('delete-file');

		// id of record to delete
		var id = $(this).attr('delete-id');

		// confirmation pop up
		bootbox.confirm({
			message: "<h4>Are you sure?</h4>",
			buttons: {
				confirm: {
					label: '<span class="glyphicon glyphicon-ok"></span> Yes',
					className: 'btn-danger'
				},
				cancel: {
					label: '<span class="glyphicon glyphicon-remove"></span> No',
					className: 'btn-primary'
				}
			},
			callback: function (result) {

				if(result==true){
					$.post(delete_file, {
						object_id: id
					}, function(data){
						location.reload();
					}).fail(function() {
						alert('Unable to delete.');
					});
				}
			}
		});

		return false;
	});

	// delete selected records
	$(document).on('click', '#delete-selected', function(){

		var at_least_one_was_checked = $('.checkboxes:checked').length > 0;

		if(at_least_one_was_checked){

			// confirmation pop up
			bootbox.confirm({
				message: "<h4>Are you sure?</h4>",
				buttons: {
					confirm: {
						label: '<span class="glyphicon glyphicon-ok"></span> Yes',
						className: 'btn-danger'
					},
					cancel: {
						label: '<span class="glyphicon glyphicon-remove"></span> No',
						className: 'btn-primary'
					}
				},
				callback: function (result) {

					if(result==true){
						//get converts it to an array
						var del_checkboxes = $('.checkboxes:checked').map(function(i,n) {
							return $(n).val();
						}).get();

						if(del_checkboxes.length==0) {
							del_checkboxes = "none";
						}

						$.post("delete_selected.php", {'del_checkboxes[]': del_checkboxes},
							function(response) {
							// refresh
							location.reload();
						});
					}
				}
			});

		}

		else{
			bootbox.alert("Please select at least one record to delete.");
		}
	});
});